<%@ Import Namespace="DNNMasters.UMS.UI.UserControls"%>
<%@ Control Language="c#" Codebehind="UMS_ASEdit.ascx.cs" Inherits="DNNMasters.UMS.UI.UserControls.UMS_ASEdit" 
    TargetSchema="http://schemas.microsoft.com/intellisense/ie3-2nav3-0" AutoEventWireup="false" %>

<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<meta content="True" name="vs_showGrid">
<asp:panel id="_pnlMessage" runat="server"></asp:panel>
<table id="_tblEnable" height="0" cellSpacing="0" cellPadding="2" border="0" runat="server">
	<tr vAlign="baseline">
		<td class="SubHead" nowrap>
		    <dnn:label id="lblSchedulerEnabled" runat="server" controlname="_cbxEnabled" suffix=":"></dnn:label>
		</td>
		<td>
		    <asp:checkbox id="_cbxEnabled" runat="server" AutoPostBack="True"></asp:checkbox>
		</td>
	</tr>
</table>
<asp:panel id="_pnlSchedulerConfig" runat="server">
	<TABLE height="0" cellSpacing="0" cellPadding="2" width="100%" border="0"> <!-- DATE START -->
		<TR vAlign="baseline">
			<TD class="SubHead">
				<dnn:label id="plDateStart" runat="server" suffix="" controlname=""></dnn:label></TD>
			<TD align="center">
				<asp:CheckBox id="_cbxDateStart" runat="server"></asp:CheckBox></TD>
			<TD>
				<asp:TextBox id="_txtDateStart" runat="server" CssClass="NormalTextBox"></asp:TextBox>
				<asp:hyperlink id="_cmdDateStart" runat="server" cssclass="CommandButton" resourcekey="Calendar">Calendar</asp:hyperlink>&nbsp;&nbsp;Hour:&nbsp;
				<asp:TextBox id="_txtDateStartHour" runat="server" Width="33px">0</asp:TextBox>&nbsp;Minute:&nbsp;
				<asp:TextBox id="_txtDateStartMinute" runat="server" Width="33px">0</asp:TextBox><BR>
				<asp:CustomValidator id="_valDateStartCustom" runat="server" ErrorMessage="CustomValidator" Display="Dynamic"
					Font-Bold="True"></asp:CustomValidator></TD>
		</TR> <!-- DATE END -->
		<TR vAlign="baseline">
			<TD class="SubHead">
				<dnn:label id="plDateEnd" runat="server" suffix="" controlname=""></dnn:label></TD>
			<TD align="center">
				<asp:CheckBox id="_cbxDateEnd" runat="server"></asp:CheckBox></TD>
			<TD>
				<asp:TextBox id="_txtDateEnd" runat="server" CssClass="NormalTextBox"></asp:TextBox>
				<asp:hyperlink id="_cmdDateEnd" runat="server" cssclass="CommandButton" resourcekey="Calendar">Calendar</asp:hyperlink>&nbsp;&nbsp;Hour:&nbsp;
				<asp:TextBox id="_txtDateEndHour" runat="server" Width="33px">0</asp:TextBox>&nbsp;Minute:&nbsp;
				<asp:TextBox id="_txtDateEndMinute" runat="server" Width="33px">0</asp:TextBox><BR>
				<asp:CustomValidator id="_valDateEndCustom" runat="server" ErrorMessage="CustomValidator" Display="Dynamic"
					Font-Bold="True"></asp:CustomValidator></TD>
		</TR> <!-- Once -->
		<TR vAlign="baseline">
			<TD class="SubHead">
				<dnn:label id="plOnce" runat="server" suffix="" controlname=""></dnn:label></TD>
			<TD align="center">
				<asp:RadioButton id="_rbtOnce" runat="server" GroupName="Scheduler_Type"></asp:RadioButton></TD>
			<TD>
				<asp:CustomValidator id="_valOnce" runat="server" ErrorMessage="CustomValidator" Display="Dynamic" Font-Bold="True"></asp:CustomValidator></TD>
		</TR> <!-- Every day of week -->
		<TR vAlign="baseline">
			<TD class="SubHead">
				<dnn:label id="plDayOfWeek" runat="server" suffix="" controlname=""></dnn:label></TD>
			<TD align="center">
				<asp:RadioButton id="_rbtDayOfWeek" runat="server" GroupName="Scheduler_Type"></asp:RadioButton></TD>
			<TD>
				<asp:CheckBox id="_cbxMonday" runat="server" Text="Monday"></asp:CheckBox><BR>
				<asp:CheckBox id="_cbxTuesday" runat="server" Text="Tuesday"></asp:CheckBox><BR>
				<asp:CheckBox id="_cbxWednesday" runat="server" Text="Wednesday"></asp:CheckBox><BR>
				<asp:CheckBox id="_cbxThursday" runat="server" Text="Thursday"></asp:CheckBox><BR>
				<asp:CheckBox id="_cbxFriday" runat="server" Text="Friday"></asp:CheckBox><BR>
				<asp:CheckBox id="_cbxSaturday" runat="server" Text="Saturday"></asp:CheckBox><BR>
				<asp:CheckBox id="_cbxSunday" runat="server" Text="Sunday"></asp:CheckBox><BR>
				<asp:CustomValidator id="_valDayOfWeek" runat="server" ErrorMessage="Choose at least one day." Display="Dynamic"
					Font-Bold="True"></asp:CustomValidator></TD>
		</TR> <!-- REPEAT EVERY -->
		<TR vAlign="baseline">
			<TD class="SubHead">
				<dnn:label id="lblRepeat" runat="server" suffix="" controlname=""></dnn:label></TD>
			<TD align="center">
				<asp:RadioButton id="_rbtRepeat" runat="server" GroupName="Scheduler_Type"></asp:RadioButton></TD>
			<TD>Every
				<asp:TextBox id="_txtRepeat" runat="server" CssClass="NormalTextBox"></asp:TextBox>
				<asp:DropDownList id="_ddlRepeat" runat="server">
					<asp:ListItem Value="mi">Minutes</asp:ListItem>
					<asp:ListItem Value="h">Hours</asp:ListItem>
					<asp:ListItem Value="d">Days</asp:ListItem>
					<asp:ListItem Value="w">Weeks</asp:ListItem>
					<asp:ListItem Value="m">Months</asp:ListItem>
					<asp:ListItem Value="y">Years</asp:ListItem>
				</asp:DropDownList><BR>
				<asp:CustomValidator id="_valRepeat" runat="server" ErrorMessage="CustomValidator" Display="Dynamic" Font-Bold="True"></asp:CustomValidator></TD>
		</TR>
		<TR>
		</TR>
	</TABLE>
</asp:panel><asp:linkbutton id="_cmdUpdate" runat="server" CssClass="CommandButton" resourcekey="cmdUpdate" Visible="False"
	borderstyle="none" Enabled="False"></asp:linkbutton><asp:linkbutton id="_cmdCancel" runat="server" CssClass="CommandButton" resourcekey="cmdCancel" Visible="False"
	borderstyle="none" causesvalidation="False" Enabled="False"></asp:linkbutton>
