<%@ Page Language="C#" Trace="false" AutoEventWireup="false" CodeBehind="UserRoles.aspx.cs" Inherits="DNNMasters.UMS.UI.UserRoles" Explicit="true" %>

<%@ Import Namespace="DNNMasters.UMS" %>
<link rel="stylesheet" type="text/css" href="<%=Request.ApplicationPath%>DesktopModules/DNNMasters.UMS/module.css" />
<link rel="stylesheet" type="text/css" href="<%=Request.ApplicationPath%>/DesktopModules/DNNMasters.UMS/module.css" />

<html>
<head id="Head1" runat="server">
</head>
<body>
    <form runat="server">
    <table align="center" class="UserRolesTable" cellpadding="15" Width="100%">
        <tr>
            <td align="center">
                Roles by User: <asp:Label ID="_lblUserName" runat="server" />
            </td>
        </tr>
        <tr>
            <td>
                <asp:GridView ID="_grdRoles" runat="server" AutoGenerateColumns="False" DataKeyNames="RoleID"
                    AllowPaging="false" Width="100%" CssClass="UMS_Grid" 
                    HeaderStyle-CssClass="UMS_GridHeader">
                    <Columns>
                        <asp:BoundField DataField="RoleName" HeaderText="Role Name" />
                        <asp:TemplateField HeaderText="Effective Date">
                            <ItemTemplate>
                                <asp:Label ID="lblEffectiveDate" runat="server" 
                                    Text='<%# FormatDate(DataBinder.Eval(Container.DataItem,"EffectiveDate").ToString()) %>' />
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:TemplateField HeaderText="Expiry Date">
                            <ItemTemplate>
                                <asp:Label ID="lblEffectiveDate" runat="server" 
                                    Text='<%# FormatDate(DataBinder.Eval(Container.DataItem,"ExpiryDate").ToString()) %>' />
                            </ItemTemplate>
                        </asp:TemplateField>
                    </Columns>
                </asp:GridView>
                <asp:Label ID="_lblTotal" runat="server" CssClass="Normal" />
            </td>
        </tr>
   </table>
    </form>
</body>
</html>
